Bug 251907 - chinese/librime: Update license information
Summary: chinese/librime: Update license information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-16 22:36 UTC by Hodong
Modified: 2021-02-14 19:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lichray)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hodong 2020-12-16 22:36:51 UTC
Hello.

Freshports' librime page informs that librime is licensed under the GPLv3.

https://www.freshports.org/chinese/librime/

https://svnweb.freebsd.org/ports/head/chinese/librime/Makefile?view=markup&pathrev=549619#l11

By the way, lotem committed on Dec 29, 2014
switch to the (3-Clause) BSD License.
https://github.com/rime/librime/commit/918b67d1a8ba74fc08f2c7d71823e31e5b013911

https://github.com/rime/librime/blob/master/LICENSE

I think it is necessary to update the license information of librime in Freshports to BSD-3-Clause.
Comment 1 Dmitry Marakasov freebsd_committer 2021-02-14 19:35:48 UTC
This was fixed with r564923